import e from "../array.js";
import t from "../selectorAll.js";
import { Selection as n } from "./index.js";
//#region ../../node_modules/d3-selection/src/selection/selectAll.js
function r(t) {
	return function() {
		return e(t.apply(this, arguments));
	};
}
function i(e) {
	e = typeof e == "function" ? r(e) : t(e);
	for (var i = this._groups, a = i.length, o = [], s = [], c = 0; c < a; ++c) for (var l = i[c], u = l.length, d, f = 0; f < u; ++f) (d = l[f]) && (o.push(e.call(d, d.__data__, f, l)), s.push(d));
	return new n(o, s);
}
//#endregion
export { i as default };
